%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

#
# spec file for package python-apsw
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define apsw_version 3.8.2-r1
%define sqlite_version src_3.8.2

Name:           python-apsw
BuildRequires:  gcc-c++ python-devel tcl
Version:        3.8.2
Release:        1%{?dist}
Group:          Development/Libraries/Python
Summary:        Another Python SQLite Wrapper
License:        zlib/libpng License
URL:            http://initd.org/tracker/pysqlite/wiki/APSW
Source0:        apsw-3.8.2-r1.zip
Source1:        sqlite-src-3080200.zip
Requires:       python
BuildRoot:      %{_tmppath}/%{name}-%{apsw_version}-build

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%setup -T -b 1 -n sqlite-src-3080200
%setup -n apsw-3.8.2-r1
mv ../sqlite-src-3080200 ./sqlite3

%build
pushd sqlite3
CFLAGS="$RPM_OPT_FLAGS -fPIC -fstack-protector" \
%configure --enable-threadsafe --disable-tcl
make %{?jobs:-j%jobs}
ln -s .libs/*.a .
popd
python setup.py build

%install
# http://lists.opensuse.org/opensuse-packaging/2007-02/msg00005.html
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=%{_prefix} --root $RPM_BUILD_ROOT 
# END OF INSTALL

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0644, root, root)		%{python_sitelib}/apsw*

%changelog -n python-apsw
* Mon Dec 09 2013 termim@gmail.com 3.8.2_r1
* Release 3.8.2_r1
	This release includes the following:

		2013-12-09 - Version 3.8.2-r1
			New constants.
		2013-10-30 - Version 3.8.1-r1
			2 new constants and minor doc tweaks
		2013-09-04 - Version 3.8.0.2-r1
			No APSW code changes - added diagnostics section to tips doc page
		2013-09-01 - Version 3.8.0.1-r1s
			 No APSW changes - SQLite version bump. Python 3.3 64 bit binary for Windows no longer
			available as Microsoft update broke build ability and I have no patience left to fight Microsoft tools.

* Tue Aug 27 2013 termim@gmail.com 3.8.0_r2
* Release 3.8.0_r2
	This only includes a changed checksum as the SQLite team updated their release keeping
	the version number to fix an autoconf issue. The Windows binaries have been left as -r1 since the change would not affect them.

* Mon Aug 26 2013 termim@gmail.com 3.8.0_r1
* Release 3.8.0_r1
	Minor shell dump fix, new constants, Python 3.3 64 bit binary build available for Windows.

* Mon May 27 2013 termim@gmail.com 3.7.17_r1
* Release 3.7.17_r1
	Test updates and new constants.

* Sat Mar 30 2013 termim@gmail.com 3.7.16.1_r1-1
* Release 3.7.16.1_r1-1
	Update shell completion tables for functions and pragmas
	New SQLite download URLS, new constants, removed CouchDB support

* Fri Jan 18 2013 termim@gmail.com 3.7.15.2_r1-1
* Release 3.7.15.2_r1-1
	No APSW changes - binary rebuild to pickup new SQLite version

* Sat Dec 22 2012 termim@gmail.com 3.7.15.1_r1-1
* Release 3.7.15.1_r1-1
	* Use https (SSL) for SQLite web site references (downloads and
	  documentation links). On some platforms/versions/SSL libraries,
	  Python’s SSL module doesn’t work with the SQLite website
	  so a fallback to http is used - the downloads still have their
	  checksum verified.

	* Work around changed semantics for error handling when the VFS
	  xDelete method is asked to delete a file that does not exist.

	* Completely removed all AsyncVFS related code. This extension is
	  no longer maintained nor supported by the SQLite team. WAL is
	  a good way of getting similar functionality.

	* Added config() support for SQLITE_CONFIG_COVERING_INDEX_SCAN.

	* Added several new constants: SQLITE_CONFIG_COVERING_INDEX_SCAN,
	  SQLITE_CONFIG_SQLLOG, SQLITE_FCNTL_BUSYHANDLER,
	  SQLITE_FCNTL_TEMPFILENAME, SQLITE_CANTOPEN_FULLPATH,
	  SQLITE_IOERR_DELETE_NOENT

* Wed Oct 10 2012 termim@gmail.com 3.7.14.1_r1-1
* Release 3.7.14.1_r1-1
	Updated setup and test suite so that all files are explicitly closed instead of relying on garbage collection.
	Added Windows binaries for Python 3.3. (Only 32 bit as Python doesn’t provide a free way of making 64 bit Windows binaries.)
	Updated setup.py to work with changed SQLite download page formatting when detecting latest version.
	Due to a Python 3.3.0 regression bug using the csv ouput mode in the shell can result in bad data or Python crashing. The bug has been fixed for Python 3.3.1 which is due in November 2012.
* Thu Oct 13 2011 termim@gmail.com 3.7.8_r1-1
* Release 3.7.8_r1-1
	Updated documentation and tests due to an undocumented change in VFS xDelete semantics.
	Added SQLITE3_FCNTL_PERSIST_WAL and SQLITE3_FCNTL_WIN32_AV_RETRY file controls.
	Wrapped sqlite3_sourceid (issue 120).

* Fri Jan 16 2009 - termim@gmail.com
- updated to 3.6.6.2-r1 and SQLite 3.6.10
* Thu Jul 10 2008 - termim@gmail.com
- updated to 3.5.9-r2
- use "amalgamation" version of the SQLite
* Mon Jun 25 2007 - bwhiteley@suse.de
- First build
